%define		php_name	php%{?php_suffix}
%define		modname		mdbtools
%define		status		stable
Summary:	%{modname} - MDB data file access library
Summary(pl.UTF-8):	%{modname} - biblioteka dostępu do plików MDB
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.0
Release:	14
License:	LGPL v2.1+
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	758f844257c50dbd07c2b9a67a83954b
Patch0:		php-pecl-%{modname}-paths.patch
Patch1:		mdb-0.7.patch
Patch2:		php-pecl-%{modname}-mdb1.patch
URL:		http://pecl.php.net/package/mdbtools/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	mdbtools-devel >= 1.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-mdbtools < 1.0.0-12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
mdbtools provides read access to MDB data files as used by Microsoft
Access and its underlying JetEngine.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
mdbtools udostępnia możliwość odczytu danych zapisanych w plikach MDB,
z których korzysta baza danych Microsoft Access oraz zwązany z tą
aplikacją silnik JetEngine.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
%{__mv} %{modname}-%{version}/* .
%patch0 -p2
%patch1 -p1
%patch2 -p1

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Feb 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-mdbtools.git;a=log;h=master

* Sun Feb 26 2023 Jakub Bogusz <qboosh@pld-linux.org> 936567f
- added mdb1 patch (adjust for mdbtools 1.0.x, drop no longer available function: type name is now available for column, not just type info)
- release 14

* Sat May 17 2014 Elan Ruusamäe <glen@delfi.ee> 397f9c2
- fix obsoletes version
- release 13 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> b73dabb
- obsolete old php name
- release 12 (by relup.sh)

* Sun Dec 01 2013 Jan Rękorajski <baggins@pld-linux.org> 3453d4a
- fix building with mdbtools 0.7.x
- rel 11

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> c6509d2
- release 10 (by relup.sh)

* Mon Nov 25 2013 Elan Ruusamäe <glen@delfi.ee> 6c3d199
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 882c284
- support building for multiple php versions

* Fri Aug 24 2012 Elan Ruusamäe <glen@delfi.ee> a0f99d5
- use php(core) as dependency to require php version
- release 7 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> f49eb9a
- release 7 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6a8d979
- release 6

* Wed Apr 13 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 3bafbe2
- release 5

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1fff9b7
- release 4

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> aae7ea4
- release 3

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 15bbbaf
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 0dc42ab
- %files fixed

* Sun Jan 11 2009 Adam Gołębiowski <adamg@pld-linux.org> 5d04433
- new

